Bug 1029309 - [FEAT] provide a volume command to check the available "volume space"
[FEAT] provide a volume command to check the available "volume space"
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Atin Mukherjee
SATHEESARAN
glusterd
: FutureFeature
Depends On:
Blocks: 1371101
  Show dependency treegraph
 
Reported: 2013-11-12 01:42 EST by spandura
Modified: 2016-08-29 06:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1371101 (view as bug list)
Environment:
Last Closed: 2016-08-29 06:53:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandura 2013-11-12 01:42:38 EST
Description of problem:
=======================
It is useful if we have a volume command to get the available "volume space". Currently we should create a mount and check the space available in the volume using df commmand only. 

Version-Release number of selected component (if applicable):
==============================================================
glusterfs 3.4.0.35.1u2rhs built on Oct 21 2013 14:00:58
Comment 2 Atin Mukherjee 2015-12-24 04:53:34 EST
gluster volume status <volname> detail does provide the space of individual bricks, however having them aggregated based on the type of volume is nice to have and we will try to have that functionality in GlusterD 2.0.
Comment 3 Atin Mukherjee 2016-08-29 06:53:35 EDT
I've cloned this BZ to upstream glusterfs under glusterd2, refer https://bugzilla.redhat.com/show_bug.cgi?id=1371101 . Closing this BZ as the changes can be tracked through GlusterD2

Note You need to log in before you can comment on or make changes to this bug.